use super::model::Config;
#[cfg(test)]
use mockall::{automock, predicate::*};
use std::io::Error;
use std::path::Path;

#[cfg_attr(test, automock)]
pub trait ConfigHandlerExt: Send + Sync {
    fn load(&mut self, config_dir: &Path) -> Result<Config, Error>;
    fn save(&self, config: &Config) -> Result<(), Error>;
}
